Skip to content

Get one incident template.

GET
/incident_template/{template_id}
curl --request GET \
--url https://api.siteqwality.com/incident_template/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \
--header 'Authorization: Bearer <token>'
template_id
required
string format: uuid

Template identifier

The template

Media type application/json

Reusable incident wording. Picking one in the app fills the title, message and severity.

object
id
required
string format: uuid
name
required

Unique per account, ignoring case.

string
title
required
string
message
required
string
severity
One of:
string
Allowed values: minor major critical
status
One of:

The status of the incident’s first update: investigating, identified or monitoring.

string
Allowed values: investigating identified monitoring resolved
created_at
required
string format: date-time
updated_at
required
string format: date-time
Example
{
"severity": "minor",
"status": "investigating"
}

Missing or invalid authentication

Template not found

Internal server error